Attribute VB_Name = "modMouse"
Option Explicit

' Mientras se haya ejecutado el procedimiento ActivarHookMouse,
' estas prximas dos variables pblicas tendrn valor verdadero
' o falso segn se encuentren apretados los botones correspondientes del mouse
Public blnBotonIzquierdoAbajo As Boolean
Public blnBotonDerechoAbajo As Boolean

Private IdMouse As Long
Private blnMouse_L_clic As Boolean
Private blnMouse_R_clic As Boolean
Private Const WH_MOUSE_LL = 14

Private Declare Function SetWindowsHookEx Lib "user32" Alias "SetWindowsHookExA" ( _
    ByVal idHook As Long, _
    ByVal lpfn As Long, _
    ByVal hmod As Long, _
    ByVal dwThreadId As Long) As Long

Private Declare Function UnhookWindowsHookEx Lib "user32" (ByVal hHook As Long) As Long

Private Function WinProcMouse(ByVal nCode As Long, _
                             ByVal wParam As Long, _
                             ByVal lParam As Long) As Long
blnMouse_L_clic = False
blnMouse_R_clic = False

If nCode >= 0 Then
  If (blnMouse_L_clic = False) And (wParam = 513 Or wParam = 514) Then
    If (wParam = 513) Then 'Clic izquierdo abajo
      blnBotonIzquierdoAbajo = True
    Else 'Clic izquierdo arriba
      blnBotonIzquierdoAbajo = False
    End If
  End If
  
  If (blnMouse_R_clic = False) And (wParam = 516 Or wParam = 517) Then
    If (wParam = 516) Then 'Clic derecho abajo
      blnBotonDerechoAbajo = True
    Else 'Clic derecho arriba
      blnBotonDerechoAbajo = False
    End If
  End If
End If

End Function


Public Sub ActivarHookMouse()
IdMouse = SetWindowsHookEx(WH_MOUSE_LL, _
                                    AddressOf WinProcMouse, _
                                    App.hInstance, 0)
End Sub


Sub DesActivarHookMouse()
If IdMouse <> 0 Then UnhookWindowsHookEx IdMouse
End Sub




